VPS配置:win2003+iis6+php5.3.6+mysql5.5.11.7

来源:济忆博客 时间:2011-06-03 12:18 字体:[ ] 收藏 我要投稿

配置过程中,我们肯定会按照一定的步骤来。

基本上拿到win的VPS,默认都已经安装了iis,如果没有可以参考这里:>>点击查看 (如何安装IIS6)

如何安装php5.3.6:

1.首先必须明白PHP的两种执行方式:ISAPI和FastCGI。

(1)ISAPI(Internet Server Application Program Interface)是微软提供的一套面向WEB服务的API接口,它能实现CGI提供的全部功能,并在此基础上进行了扩展,如提供了过滤器应用程序接口。ISAPI应用大多数以DLL动态库的形式使用,可以在被用户请求后执行,,在处理完一个用户请求后不会马上消失,而是继续驻留在内存中等待处理别的用户输入。此外,ISAPI的DLL应用程序和WEB服务器处于同一个进程中,效率要显著高于CGI。

(2)FastCGI是可伸缩架构的CGI开放扩展,其主要行为是将CGI解释器进程保持在内存中并因此获得较高的性能。传统的CGI解释器的反复加载是CGI性能低下的主要原因,如果CGI解释器保持在内存中并接受FastCGI进程管理器调度,则可以提供良好的性能、伸缩性等。

FastCGI已经集成于IIS7也支持IIS6,在IIS6中的安装方法以下详述。

2.PHP5.3.6文件里面没有php5isapi.dll取而代之的是php5nsapi.dll原因:

PHP5.3 是不能在IIS6上面通过ISAPI扩展运行的,而且在PHP5.3 文件里面也没有php5isapi.dll,取而代之的是php5nsapi.dll,换句话说PHP5.3以后的版本就不再用ISAPI进行扩展在IIS里运行了,只能通过FastCGI的方式执行。据说它的效率很高的哟。(一直郁闷为什么我下载的php没有php5isa.dll,没想到PHP5.3不支持ISAPI了,晕哦)

FASTCGI http://www.iis.net/expand/FastCGI 下载X86版本)

PHP http://www.php.net/downloads.php

注意:下载php时请选择VC9版本下载(适用IIS+PHP)

安装FASTCGI时,需要.net2.0以上、windows 2003 sp2 或以上

.net3.5下载:http://www.crsky.com/soft/21819.html

windows 2003 sp2下载:http://www.jb51.net/os/windows/Win2003/1904.html

1、安装php5.3.6

建议使用.zip而不实用.msi的安装版,此例以zip为例

解压php-5.3.6-Win32-VC9-x86到C:\php下

配置 php.ini

将 C:\PHP\php.ini-production 复制一个,然后重命名为 C:\PHP\php.ini

打开 C:\PHP\php.ini,

修改PHP.ini文件:

1、第531行改为:display_errors = On

2、第542行改为:display_startup_errors = On

3、第624行改为:error_prepend_string = "<br><font color=#ff0000>"

4、第630行改为:error_append_string = "</font><br><br>"

5、第813行改为:extension_dir = "D:\php\php_setup_files\php-5.3-vc9\ext\"

6、第854行改为:fastcgi.impersonate = 1

7、从948行到988行根据自己的需要修改

8、第997行改为:date.timezone = asia/Shanghai

其它的根据实际需要对 php.ini 进行设置修改,这里只针对能跑 php,修改完记得重启 IIS。(记得要细心哦:-D)

2、安装.net3.5 (已安装.net 2.0以上版本,该步骤可忽略)

2、Windows 2003 sp2 安装 (同样,已安装以上版本可忽略)

3、FASTCGI安装

(责任编辑:中文站长) 本文仅代表作者与中文站长无关。
顶一下
(0)
0%
踩一下
(0)
0%
中文站长投稿必读,作为站长的你,也可以成为写手 10秒注册会员 站长杂谈,最火爆信息交流
相关阅读
最新评论
请自觉遵守互联网相关的政策法规,严禁发布色情、暴力、反动的言论。
用户名:

热门阅读

图文排行

推荐阅读

论坛热贴